Subject: Re: [X2Go-Dev] Bug#590: X2Go Client for Windows with libssh-0.5.x: cannot connect to hpn-enabled SSH servers

From: Michael DePaulo <[email-masked]>
Date: Wed, 3 Sep 2014 01:32:27 -0400

Control: found -1 4.0.2.1
Control: severity -1 normal

On Tue, Sep 2, 2014 at 12:31 PM, Lars Wendler <[email-masked]> wrote:
> Package: x2goclient
> Version: some future release
>
> Hi,
>
> I'd like to request an update of libssh to version 0.6.x for the
> Windows build of the X2Go Client software.
> The current Windows builds which are shipped with libssh-0.5.5 have a
> connection problem with hpn-enabled openssh servers [1].
> We at Gentoo already faced the same problem a while ago [2].
>
> The problem looks like this:
> After a successful login with libssh-0.5.x to the hpn-enabled
> openssh server the connection just hangs. There's no further data being
> transferred from or to the server. This results in the X2Go Client to
> hang as well.
> After upgrading libssh to version 0.6.x the problem disappears.
>
> [1] http://www.psc.edu/index.php/hpn-ssh
> [2] https://bugs.gentoo.org/482548
>
> Kind regards
> --
> Lars Wendler
> Gentoo package maintainer
> GPG: 4DD8 C47C CDFA 5295 E1A6 3FC8 F696 74AB 981C A6FC
[...]

Alex,

Do you have time to try to build libssh 0.6.3 like you did for 0.5.5?
If not, I'll try to do so over the next week or 2.

Like before, you need to incorporate the pageant patch:
http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=448
However, it does not apply cleanly. Many of the hunks fail. You are
much better at C programming than I am.

The 2 other patches (libssh-0.5.x-accept-forward.patch &
libssh-0.5.x-unblock.patch) have been upstreamed.

-Mike#2